﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Orbit : MonoBehaviour
{
    public float orbit = 10.0f;
    public float speed = 1.0f;

    private void Update()
    {
        float ang = speed * Mathf.PI * 2.0f * Time.time;
        this.transform.position = 
            new Vector3(
                Mathf.Cos(ang) * orbit, 
                0.0f, 
                Mathf.Sin(ang) * orbit);
    }
}
