﻿using System.Collections.Generic;

public class ParamParse
{
    [System.Runtime.InteropServices.DllImport("__Internal")]
    public static extern string BrowserGetLinkHREF();

    public static Dictionary<string,string> GetBrowserParameters()
    {

        Dictionary<string, string> ret = 
            new Dictionary<string, string>();

//#if UNITY_WEBGL && !UNITY_EDITOR

        System.Uri uri = new System.Uri(BrowserGetLinkHREF());
        string linkParams = uri.Query;

        if(linkParams.Length == 0)
            return ret;

        if(linkParams[0] == '?')
            linkParams = linkParams.Substring(1);
        
        string [] sections = linkParams.Split(new char [] { '&' }, System.StringSplitOptions.RemoveEmptyEntries);
        foreach(string sec in sections)
        { 
            string [] split = sec.Split(new char[]{'=' }, System.StringSplitOptions.RemoveEmptyEntries);
            if(split.Length == 0)
                continue;

            if(split.Length == 2)
            {
                if(ret.ContainsKey(split[0]) == true)
                    ret[split[0]] = split[1];
                else
                    ret.Add(split[0], split[1]);
            }
            else
            {
                if (ret.ContainsKey(sec) == true)
                    ret[sec] = "";
                else
                    ret.Add(sec, "");
            }

        }
//#endif
        return ret;
    }
}
